LIbreoffice crashes on startup

Bug #1798074 reported by Stuart Langridge on 2018-10-16
48
This bug affects 9 people
Affects Status Importance Assigned to Milestone
LibreOffice
Unknown
Unknown
libreoffice (Ubuntu)
High
Marcus Tomlinson
Bionic
High
Marcus Tomlinson
Cosmic
High
Marcus Tomlinson
libreoffice-l10n (Ubuntu)
High
Marcus Tomlinson
Bionic
High
Marcus Tomlinson
Cosmic
High
Marcus Tomlinson

Bug Description

[Impact]

 * This effects all bionic and cosmic users who have 'libcpd*' 'cpdb*' packages installed.

 * The fix is currently in LibreOffice 6.2.0+ on disco and eoan.

[Test Case]

 1. apt install cpdb-backend-gcp
 2. run LibreOffice

[Regression Potential]

 * We're backporting a patch that has already been applied to 6.2.0+ with no regression, so potential for regression here is low.

 * A combination of autopkgtests and manual testing should provide reasonable confidence that no regressions sneaked in.

[Original Description]

On starting up LibreOffice, it crashes. Starting from a terminal with just "libreoffice", I see the "general open a document" libreoffice window and a popup dialog titled "LibreOffice 6.0 Document Recovery", with text "Due to an unexpected error, LibreOffice crashed. All the files you were working on will now be saved. The next time LibreOffice is launched, your files will be recovered automatically. The following files will be recovered:" (and no files to be recovered are listed). Clicking "OK" on this dialog hides it and the general window, and then shows them both again; clicking OK on that dialog exits. LibreOffice does not start.

Running "libreoffice --norestore" gives a stack trace:

$ libreoffice --norestore
Application Error

Fatal exception: Signal 6
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x13568)[0x7fa00e2c8568]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3c3c6)[0x7fa00e2f13c6]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7fa00df02f20]
/lib/x86_64-linux-gnu/libc.so.6(gsignal+0xc7)[0x7fa00df02e97]
/lib/x86_64-linux-gnu/libc.so.6(abort+0x141)[0x7fa00df04801]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2d5b562)[0x7fa01126a562]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5AbortERKN3rtl8OUStringE+0xa2)[0x7fa0111f61c2]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d0d580)[0x7fa01021c580]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2cecb6d)[0x7fa0111fbb6d]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x163b2)[0x7fa00e2cb3b2]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3c28f)[0x7fa00e2f128f]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7fa00df02f20]
/lib/x86_64-linux-gnu/libc.so.6(+0x18e5a1)[0x7fa00e0525a1]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(g_dbus_node_info_new_for_xml+0x124)[0x7fa00c0e7aa4]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2d6972b)[0x7fa01127872b]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc9156)[0x7fa00c0dd156]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc9398)[0x7fa00c0dd398]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d143)[0x7fa00c0a1143]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8db66)[0x7fa00c0a1b66]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc0fc2)[0x7fa00c0d4fc2]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d143)[0x7fa00c0a1143]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d179)[0x7fa00c0a1179]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x155)[0x7fa00baf60f5]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4c4c0)[0x7fa00baf64c0]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fa00baf654c]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x414d4)[0x7f9ff8b524d4]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5YieldEv+0x2e)[0x7fa0111f68ce]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application7ExecuteEv+0x45)[0x7fa0111f8075]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d12fa3)[0x7fa010221fa3]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2cee756)[0x7fa0111fd756]
/usr/lib/libreoffice/program/libmergedlo.so(_Z6SVMainv+0x30)[0x7fa0111fd860]
/usr/lib/libreoffice/program/libmergedlo.so(soffice_main+0x115)[0x7fa0102430c5]
/usr/lib/libreoffice/program/soffice.bin(+0x78b)[0x55dd01f4578b]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xe7)[0x7fa00dee5b97]
/usr/lib/libreoffice/program/soffice.bin(+0x7ca)[0x55dd01f457ca]

I have tried entirely removing my profile, ~/.config/libreoffice , but the same problem still exhibits.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: libreoffice-common 1:6.0.6-0ubuntu0.18.04.1
ProcVersionSignature: Ubuntu 4.15.0-36.39-generic 4.15.18
Uname: Linux 4.15.0-36-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.4
Architecture: amd64
CurrentDesktop: MATE
Date: Tue Oct 16 12:58:04 2018
InstallationDate: Installed on 2014-04-07 (1653 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
PackageArchitecture: all
SourcePackage: libreoffice
UpgradeStatus: Upgraded to bionic on 2018-04-28 (171 days ago)

Download full text (4.0 KiB)

Description:
Libreoffice crashed after trying to open a *.docx-file. Now, when I start Libreoffice, it starts with „document resauration“ and when I click „ok“ there it crashes.

Steps to Reproduce:
1.Open LibreOffice
2.Click „ok“ on document restauration
3.

Actual Results:
No result. I cannot start Libreoffice.

Expected Results:
That I can start Libreoffice.

Reproducible: Always

User Profile Reset: Yes

Additional Info:
Application Error

Fatal exception: Signal 6
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x39530)[0x7ff31a0ca530]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x398c3)[0x7ff31a0ca8c3]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x399f8)[0x7ff31a0ca9f8]
/lib/x86_64-linux-gnu/libc.so.6(+0x354a0)[0x7ff319cfd4a0]
/lib/x86_64-linux-gnu/libc.so.6(gsignal+0x38)[0x7ff319cfd418]
/lib/x86_64-linux-gnu/libc.so.6(abort+0x16a)[0x7ff319cff01a]
/usr/lib/libreoffice/program/libmergedlo.so(+0x282b2fc)[0x7ff31cb132fc]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5AbortERKN3rtl8OUStringE+0x9a)[0x7ff31ca66d2a]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1859109)[0x7ff31bb41109]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2784150)[0x7ff31ca6c150]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x39966)[0x7ff31a0ca966]
/lib/x86_64-linux-gnu/libc.so.6(+0x354a0)[0x7ff319cfd4a0]
/usr/lib/libreoffice/program/libmergedlo.so(com_sun_star_comp_sfx2_ScriptLibraryContainer_get_implementation+0x0)[0x7ff31b7f2a50]
/usr/lib/libreoffice/program/libuno_cppuhelpergcc3.so.3(+0x78c1c)[0x7ff313d0ac1c]
/usr/lib/libreoffice/program/libuno_cppuhelpergcc3.so.3(+0x7bd88)[0x7ff313d0dd88]
/usr/lib/libreoffice/program/libmergedlo.so(+0x176e127)[0x7ff31ba56127]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN14SfxObjectShell17GetBasicContainerEv+0xb0)[0x7ff31ba56ec0]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN12SfxBaseModel17getBasicLibrariesEv+0x5c)[0x7ff31ba7390c]
/usr/lib/libreoffice/program/libmergedlo.so(_ZNK4sfx217DocumentMacroMode15hasMacroLibraryEv+0x4c)[0x7ff31b9f004c]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN4sfx217DocumentMacroMode20checkMacrosOnLoadingERKN3com3sun4star3uno9ReferenceINS3_4task19XInteractionHandlerEEE+0x98)[0x7ff31b9f13f8]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1743fb3)[0x7ff31ba2bfb3]
/usr/lib/libreoffice/program/libmergedlo.so(+0x182bfac)[0x7ff31bb13fac]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN12SfxBaseModel17connectControllerERKN3com3sun4star3uno9ReferenceINS2_5frame11XControllerEEE+0x22c)[0x7ff31ba879cc]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1816b36)[0x7ff31bafeb36]
/usr/lib/libreoffice/program/libmergedlo.so(+0x11dd75b)[0x7ff31b4c575b]
/usr/lib/libreoffice/program/libmergedlo.so(+0x11de448)[0x7ff31b4c6448]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1174b5d)[0x7ff31b45cb5d]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1175906)[0x7ff31b45d906]
/usr/lib/libreoffice/program/libmergedlo.so(+0x163eb8a)[0x7ff31b926b8a]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2586be8)[0x7ff31c86ebe8]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN17SalGenericDisplay21DispatchInternalEventEv+0x76)[0x7ff31cad6c56]
/usr/lib/libreoffice/program/libvclplug_genlo.so(_ZN13SalX11Display5Yie...

Read more...

Do you confirmed you renamed your LO directory profile (see https://wiki.documentfoundation.org/UserProfile#GNU.2FLinux)

About the docx which caused the crash, would it be possible to attach it to the bugtracker (see https://bugs.documentfoundation.org/attachment.cgi?bugid=103175&action=enter) so we can try to reproduce this?

Finally, you can try to upgrade to 5.2.2 by using LO ppa.

Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INSUFFICIENTDATA
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-NeedInfo-Ping-20170502

Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170531

Created attachment 140569
File that reproduces the bug

Download full text (3.9 KiB)

When opening the attached document using the following command I can reproduce this bug in both 5.1.4.2 and now with Ubuntu 17.10 and LibreOffice 5.4.5.1
Build ID: 1:5.4.5-0ubuntu0.17.10.5. I'm able to open the file in other progs, like Excel.

libreoffice --norestore Att\ göra\ GH\ 2018-2019.ods

Application Error

Fatal exception: Signal 6
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x13505)[0x7fc3e9824505]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3b7f6)[0x7fc3e984c7f6]
/lib/x86_64-linux-gnu/libc.so.6(+0x37140)[0x7fc3e9468140]
/lib/x86_64-linux-gnu/libc.so.6(gsignal+0xcb)[0x7fc3e94680bb]
/lib/x86_64-linux-gnu/libc.so.6(abort+0x16d)[0x7fc3e9469f5d]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2cf9702)[0x7fc3ec763702]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5AbortERKN3rtl8OUStringE+0xa2)[0x7fc3ec6d0c82]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1ca6d80)[0x7fc3eb710d80]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2c6c977)[0x7fc3ec6d6977]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x16352)[0x7fc3e9827352]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3b6bf)[0x7fc3e984c6bf]
/lib/x86_64-linux-gnu/libc.so.6(+0x37140)[0x7fc3e9468140]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN8SdrModel25ReadUserDataSequenceValueEPKN3com3sun4star5beans13PropertyValueE+0x54)[0x7fc3ebd54264]
/usr/lib/libreoffice/program/../program/libsclo.so(_ZN14ScPreviewShell20ReadUserDataSequenceERKN3com3sun4star3uno8SequenceINS2_5beans13PropertyValueEEE+0x67)[0x7fc3bd2b7347]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1c786e3)[0x7fc3eb6e26e3]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN17SfxBaseController11attachFrameERKN3com3sun4star3uno9ReferenceINS2_5frame6XFrameEEE+0x1cb)[0x7fc3eb6e3d6b]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1c6837d)[0x7fc3eb6d237d]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15f9a8c)[0x7fc3eb063a8c]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15fa4e6)[0x7fc3eb0644e6]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15933b5)[0x7fc3eaffd3b5]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15940a8)[0x7fc3eaffe0a8]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN10comphelper19SynchronousDispatch8dispatchERKN3com3sun4star3uno9ReferenceINS4_10XInterfaceEEERKN3rtl8OUStringESD_iRKNS4_8SequenceINS3_5beans13PropertyValueEEE+0x3b4)[0x7fc3eab1f844]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1cbbdde)[0x7fc3eb725dde]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1cc5e77)[0x7fc3eb72fe77]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1ca9f41)[0x7fc3eb713f41]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1cab0fa)[0x7fc3eb7150fa]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2a71e7f)[0x7fc3ec4dbe7f]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN17SalGenericDisplay21DispatchInternalEventEv+0x67)[0x7fc3ec783797]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x41c1b)[0x7fc3d4c53c1b]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x41c91)[0x7fc3d4c53c91]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x155)[0x7fc3e7a9ce25]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4b1f0)[0x7fc3e7a9d1f0]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fc3e7a9d27c]
/usr...

Read more...

On pc Debian x86-64 with master sources updated today, I could also reproduce the crash but it seems cause is different.
Indeed, both bts you show Michael and you are different.

Xisco: do you think we should create a new bugtracker or should we "recycle" this one?

Yep, let's keep this one open!

Regression introduced by:

author Mike Kaganski <email address hidden> 2016-06-28 19:13:22 +1000
committer Miklos Vajna <email address hidden> 2016-06-28 17:27:28 +0000
commit 0cb200d000fad8ba31c7400e08cd031823f27308 (patch)
tree cfe441bb41ad09c86bc60d4cbe18d83982c0bf90
parent c1ab6613ae7b45f2d90aafd6c6a829a471ceca55 (diff)
tdf#99729: fix text alignment (no autofit & no full width)

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Mike Kaganski

Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de53d4690d25b9f1bbc0def6c66ce5b45b2fdc96

tdf#103175: Initialize DrawLayer if required

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.

Wow Mike, that was really fast! Thanks a lot
I've just cherry-picked it to 6-0, 5-4 and 5-4-6

Verified in

Version: 6.1.0.0.alpha0+
Build ID: 6d20aeeda8a346ac10782d44214a89878fd00c40
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3;
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f4bb984750887422dea4d1f6c4ef183f57b0ae5&h=libreoffice-5-4

tdf#103175: Initialize DrawLayer if required

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.

Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e722d9a406da01514bb256def98624da3eafee0c&h=libreoffice-6-0

tdf#103175: Initialize DrawLayer if required

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.

Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95357b76001a74a23bdc0b68d2e5749124084bce&h=libreoffice-5-4-6

tdf#103175: Initialize DrawLayer if required

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.

Let's simplify a bit targets.

Download full text (6.6 KiB)

Still open on Ubuntu 18.04 in LibreOffice 6.0.6.2 00m0(Build:2) (from ppa).

I tried to use the flag 'norestore' but had no luck (see below).
BR

$ libreoffice --norestore
Application Error

Fatal exception: Signal 6
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x13568)[0x7f1083314568]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3c3a6)[0x7f108333d3a6]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7f1082f4ef20]
/lib/x86_64-linux-gnu/libc.so.6(gsignal+0xc7)[0x7f1082f4ee97]
/lib/x86_64-linux-gnu/libc.so.6(abort+0x141)[0x7f1082f50801]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2d5bef2)[0x7f10862b6ef2]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5AbortERKN3rtl8OUStringE+0xa2)[0x7f1086242b22]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d0d100)[0x7f1085268100]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2ced4cd)[0x7f10862484cd]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x163b2)[0x7f10833173b2]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3c26f)[0x7f108333d26f]
/usr/lib/jvm/java-11-openjdk-amd64/lib/server/libjvm.so(+0xb30735)[0x7f1043421735]
/usr/lib/jvm/java-11-openjdk-amd64/lib/server/libjvm.so(JVM_handle_linux_signal+0x28d)[0x7f1043426e4d]
/usr/lib/jvm/java-11-openjdk-amd64/lib/server/libjvm.so(+0xb2a148)[0x7f104341b148]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7f1082f4ef20]
/lib/x86_64-linux-gnu/libc.so.6(+0x18e5a1)[0x7f108309e5a1]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(g_dbus_node_info_new_for_xml+0x124)[0x7f10815579b4]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2d6a0ab)[0x7f10862c50ab]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc9066)[0x7f108154d066]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc92a8)[0x7f108154d2a8]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d093)[0x7f1081511093]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8dab6)[0x7f1081511ab6]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc0ed2)[0x7f1081544ed2]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d093)[0x7f1081511093]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d0c9)[0x7f10815110c9]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x155)[0x7f1080f660f5]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4c4c0)[0x7f1080f664c0]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_loop_run+0xc2)[0x7f1080f667d2]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_clipboard_wait_for_contents+0xde)[0x7f106cf0215e]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_clipboard_wait_for_targets+0xd3)[0x7f106cf02933]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x46d1d)[0x7f106d4add1d]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN22TransferableDataHelper11InitFormatsEv+0x705)[0x7f10854fcd15]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN22TransferableDataHelperC1ERKN3com3sun4star3uno9ReferenceINS2_12datatransfer13XTransferableEEE+0xc6)[0x7f10854fcf06]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN22TransferableDataHelper25CreateFromSystemClipboardEPN3vcl6WindowE+0x6e)[0x7f10854fcffe]
/usr/lib/libreoffice/program/libswlo.so(_ZN6SwView14IsPasteAllowedEv+0x4a)[0x7f104b7e2f4a]
/usr/lib/libreoffice/program/libswlo.so(+0xbeb1b9)[0x7f104b7651b9]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN8SfxShell12GetSlotStateEtPK12SfxInterface...

Read more...

(In reply to howil from comment #16)

What made you think it's the same crash? The fact that the top of the stack looks alike (as it should, because some top frames are inside abort code)?

And what made you think that setting a fixed bug to WONTFIX is a good idea?

(In reply to Mike from comment #17)

"What made you think it's the same crash? The fact that the top of the stack looks alike (as it should, because some top frames are inside abort code)?"
First, It shows the behavior. Second, yes the error message looks the same on the fist glance. I now compared it side by side and see that the two messages are different.

How to proceed? Should I report a new bug or is it somehow related to this one. In any case it is annoying, because LO6 does not start under any circumstances.

Stuart Langridge (sil) wrote :

(In reply to Mike Kaganski from comment #17)
Not the very similar result (not in console but simple GUI processes) made her/him to report here? Yes, everyone should read rules before reporting however what made you think everyone should know what's going on below GUI? Actually I just got the very similar experience with LibreOffice and now I just start thinking where should I go, maybe to Office 365 instead. At least answer for a simple question what should miserable users do after your magnificent breathtaking awesome reprimand. God luck opensource with this attitude.

(In reply to howil from comment #18)
> (In reply to Mike from comment #17)
>
> ...
> How to proceed? Should I report a new bug or is it somehow related to this
> one. In any case it is annoying, because LO6 does not start under any
> circumstances.

Yes you should create a new bugtracker about it. You can also put reference tdf#103175 in See also field of the new one

(In reply to Andras from comment #19)
> (In reply to Mike Kaganski from comment #17)
> Not the very similar result (not in console but simple GUI processes) made
> her/him to report here? Yes, everyone should read rules before reporting
> however what made you think everyone should know what's going on below GUI?
> Actually I just got the very similar experience with LibreOffice and now I
> just start thinking where should I go, maybe to Office 365 instead. At least
> answer for a simple question what should miserable users do after your
> magnificent breathtaking awesome reprimand. God luck opensource with this
> attitude.

The pb is it’s rude to replace Fixed by Wontfix. It indicates devs are stuck/don’t care/are against it whereas someone spent some time on it to fix it.
Just questionning about it’s still reproduceable with a similar bt would have been far more appropriate.

About your wish to change your Office suite, who cares? Do you expect people beg you to keep on using LO?
Each Office suite has its qualities and defaults, nobody forces you to use this one or another.

(In reply to Julien Nabet from comment #21)
Thanks for the prompt responses and I appreciate your contribution and your hard work. I'm only a stubborn hothead and it was nothing personal but a matter of math. Yes, you're right I use whatever software I wan't and opensources evolved and got the number of users today because users needed opensource and because given software was usable but don't forget it's vice versa. Obviously it'll not happen to LO tomorrow but I think a lot project aren't here today because rude users and angry contributors.
I already reported my issue here:
https://bugs.documentfoundation.org/show_bug.cgi?id=122116
so sorry for bothering here but yes currently I'm quite depending on LibreOffice and still searching over and over for solution that's why I landed here.
I don't know my issue is relevant to this particular bug however just in case I attached my similar result and please neglect it right after you recognize it isn't related, thank you.

Created attachment 147588
LibreOffice won't start because recovery issue, not even in safe-mode without restore

System:
KDE neon 5.14
KDE Plasma Version: 5.14.4
KDE Frameworks Version: 5.53.0
QT Version: 5.11.2
Kernel Version: 4.15.0-42-generic
OS Type: 64-bit

LibreOffice:
Version: 6.1.3.2
Build ID: 1:6.1.3~rc2-0ubuntu0.18.04.2
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3_kde5;
Locale: en-US (en_US.UTF-8); Calc: CL

Current java versions appearing in libreoffice:
currently used:
10.0.2 - location: /usr/lib/jvm/java-11-openjdk-amd64
not the currently used one:
1.8.0_191 - location: /usr/lib/jvm/java-8-openjdk-amd64/jre

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libreoffice (Ubuntu):
status: New → Confirmed
Olivier Tilloy (osomon) wrote :

Sorry for the lack of feedback on that report Stuart.

Are you still seeing this startup crash with the latest update for libreoffice on 18.04 (version 1:6.0.7-0ubuntu0.18.04.5)?

Jani Uusitalo (uusijani) wrote :
Download full text (3.1 KiB)

Can't speak for Stuart, but I'm the other one affected, and still so:

jani@saegusa:~$ apt-cache policy libreoffice
libreoffice:
  Asennettu: 1:6.0.7-0ubuntu0.18.04.5
  Ehdokas: 1:6.0.7-0ubuntu0.18.04.5
  Versiotaulukko:
 *** 1:6.0.7-0ubuntu0.18.04.5 500
        500 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages
        500 http://archive.ubuntu.com/ubuntu bionic-security/universe amd64 Packages
        100 /var/lib/dpkg/status
     1:6.0.3-0ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
jani@saegusa:~$ libreoffice --norestore
Application Error

Fatal exception: Signal 6
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x13568)[0x7f5cb050b568]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3c3a6)[0x7f5cb05343a6]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7f5cb0145f20]
/lib/x86_64-linux-gnu/libc.so.6(gsignal+0xc7)[0x7f5cb0145e97]
/lib/x86_64-linux-gnu/libc.so.6(abort+0x141)[0x7f5cb0147801]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2d5c882)[0x7f5cb34ae882]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5AbortERKN3rtl8OUStringE+0xa2)[0x7f5cb343a2b2]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d0d470)[0x7f5cb245f470]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2cedc5d)[0x7f5cb343fc5d]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x163b2)[0x7f5cb050e3b2]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3c26f)[0x7f5cb053426f]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7f5cb0145f20]
/lib/x86_64-linux-gnu/libc.so.6(+0xb1646)[0x7f5cb01b8646]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(g_dbus_node_info_new_for_xml+0x124)[0x7f5cae74dce4]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2d6aa3b)[0x7f5cb34bca3b]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc92d6)[0x7f5cae7432d6]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc9518)[0x7f5cae743518]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d1a3)[0x7f5cae7071a3]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8dbc6)[0x7f5cae707bc6]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc1082)[0x7f5cae73b082]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d1a3)[0x7f5cae7071a3]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d1d9)[0x7f5cae7071d9]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x155)[0x7f5cae15b285]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4c650)[0x7f5cae15b650]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f5cae15b6dc]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x41444)[0x7f5c9ac63444]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5YieldEv+0x2e)[0x7f5cb343a9be]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application7ExecuteEv+0x45)[0x7f5cb343c165]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d12e93)[0x7f5cb2464e93]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2cef846)[0x7f5cb3441846]
/usr/lib/libreoffice/program/libmergedlo.so(_Z6SVMainv+0x30)[0x7f5cb3441950]
/usr/lib/libreoffice/program/libmergedlo.so(soffice_main+0x115)[0x7f5cb2485fb5]
/usr/lib/libreoffice/program/soffice.bin(+0x78b)[0x557ff5eff78b]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xe7)[0x7f5cb0128b97]
/usr/lib/libreoffice/program/soffice.bin(+0x7ca)[0x55...

Read more...

Stuart Langridge (sil) wrote :

Unfortunately I removed the archive version of LO and installed the snap version, which is not exhibiting the problem, because I need to be able to edit documents; I can therefore no longer replicate the bug. But pleasingly it looks as though Jani can, so I'll leave it in their hands.

Reading related upstream reports, one possible cause of this may be LibreOffice's Common Print Dialog (CPD) integration. Could you please check if you have any cpd packages installed by running:

dpkg -l 'libcpd*' 'cpdb*'

If so, either remove them, or safer, try running libreoffice like this:

SAL_DISABLE_CPD=true libreoffice

Changed in df-libreoffice:
importance: Unknown → Critical
status: Unknown → Fix Released
Jani Uusitalo (uusijani) wrote :

@Marcus: yup, that seems to be it:

jani@saegusa:~$ dpkg -l 'libcpd*' 'cpdb*'
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Nimi Versio Arkkitehtuuri Kuvaus
+++-========================-=================-=================-======================================================
ii cpdb-backend-gcp 1.0.0-0ubuntu2 amd64 Common Print Dialog Backends - Google Cloud Print Back
ii libcpdb-libs-common0:amd 1.1.1-0ubuntu1 amd64 Common Print Dialog Backends - Interface Library for B
jani@saegusa:~$ SAL_DISABLE_CPD=true libreoffice --norestore
func=xmlSecCheckVersionExt:file=xmlsec.c:line=188:obj=unknown:subj=unknown:error=19:invalid version:mode=abi compatible;expected minor version=2;real minor version=2;expected subminor version=25;real subminor version=26

That is, no stack trace nor other apparent problems when starting LO with SAL_DISABLE_CPD=true.

Ok yeah, so you would still see this happening in 6.0.x as the issue was only later fixed in 6.2.0+ (see: https://bugs.documentfoundation.org/show_bug.cgi?id=122116#c35)

Your best option for getting a newer version of LibreOffice on 18.04 now would be to install the snap (which is at 6.2.3).

snap install libreoffice

Changed in libreoffice (Ubuntu):
status: Confirmed → Fix Released
Changed in libreoffice (Ubuntu):
status: Fix Released → Triaged
Changed in df-libreoffice:
importance: Critical → Unknown
status: Fix Released → Unknown
Changed in libreoffice (Ubuntu):
status: Triaged → Fix Released
no longer affects: df-libreoffice
no longer affects: df-libreoffice
Changed in libreoffice (Ubuntu Bionic):
assignee: nobody → Marcus Tomlinson (marcustomlinson)
Changed in libreoffice (Ubuntu Cosmic):
assignee: nobody → Marcus Tomlinson (marcustomlinson)
status: New → Triaged
Changed in libreoffice (Ubuntu Bionic):
status: New → Triaged
description: updated
description: updated
Olivier Tilloy (osomon) on 2019-06-03
Changed in libreoffice (Ubuntu Bionic):
status: Triaged → In Progress
Changed in libreoffice (Ubuntu Cosmic):
status: Triaged → In Progress
Changed in libreoffice-l10n (Ubuntu):
status: New → Fix Released
Changed in libreoffice-l10n (Ubuntu Bionic):
assignee: nobody → Marcus Tomlinson (marcustomlinson)
Changed in libreoffice-l10n (Ubuntu Cosmic):
assignee: nobody → Marcus Tomlinson (marcustomlinson)
Changed in libreoffice-l10n (Ubuntu Bionic):
status: New → In Progress
Changed in libreoffice-l10n (Ubuntu Cosmic):
status: New → In Progress

Hello Stuart, or anyone else affected,

Accepted libreoffice-l10n into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice-l10n/1:6.1.6-0ubuntu0.18.10.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libreoffice-l10n (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in libreoffice (Ubuntu Cosmic):
status: In Progress → Fix Committed

Upgraded libreoffice from 1:6.1.6-0ubuntu0.18.10.2 to 1:6.1.6-0ubuntu0.18.10.3 from cosmic-proposed in a clean and up-to-date cosmic amd64 VM, and verified that the crash is now resolved.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Changed in libreoffice (Ubuntu):
importance: Undecided → High
Changed in libreoffice (Ubuntu Bionic):
importance: Undecided → High
Changed in libreoffice (Ubuntu Cosmic):
importance: Undecided → High
Changed in libreoffice-l10n (Ubuntu):
importance: Undecided → High
Changed in libreoffice-l10n (Ubuntu Cosmic):
importance: Undecided → High
Changed in libreoffice-l10n (Ubuntu Bionic):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:6.1.6-0ubuntu0.18.10.3

---------------
libreoffice (1:6.1.6-0ubuntu0.18.10.3) cosmic; urgency=medium

  * debian/patches/cpdmgr-check-dbus-desc.diff (LP: #1798074):
    - Only create CPDManager if D-Bus descriptions present.
    - Fixes LibreOffice startup crash when CPD packages installed.

 -- Marcus Tomlinson <email address hidden> Fri, 31 May 2019 11:43:25 +0100

Changed in libreoffice (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for libreoffice has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice-l10n - 1:6.1.6-0ubuntu0.18.10.3

---------------
libreoffice-l10n (1:6.1.6-0ubuntu0.18.10.3) cosmic; urgency=medium

  * debian/patches/cpdmgr-check-dbus-desc.diff (LP: #1798074):
    - Only create CPDManager if D-Bus descriptions present.
    - Fixes LibreOffice startup crash when CPD packages installed.

 -- Marcus Tomlinson <email address hidden> Fri, 31 May 2019 11:43:25 +0100

Changed in libreoffice-l10n (Ubuntu Cosmic):
status: Fix Committed → Fix Released

Hello Stuart, or anyone else affected,

Accepted libreoffice into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice/1:6.0.7-0ubuntu0.18.04.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libreoffice (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Steve Langasek (vorlon) wrote :

Hello Stuart, or anyone else affected,

Accepted libreoffice-l10n into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice-l10n/1:6.0.7-0ubuntu0.18.04.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libreoffice-l10n (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in libreoffice-l10n (Ubuntu):
assignee: nobody → Marcus Tomlinson (marcustomlinson)
Changed in libreoffice (Ubuntu):
assignee: nobody → Marcus Tomlinson (marcustomlinson)

Upgraded libreoffice from 1:6.0.7-0ubuntu0.18.04.6 to 1:6.0.7-0ubuntu0.18.04.7 from bionic-proposed in a clean and up-to-date bionic amd64 VM, and verified that the crash is now resolved.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Jani Uusitalo (uusijani) wrote :

Happy to report that the proposed packages did fix the issue for me also. Thanks everyone!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:6.0.7-0ubuntu0.18.04.7

---------------
libreoffice (1:6.0.7-0ubuntu0.18.04.7) bionic; urgency=medium

  * debian/patches/cpdmgr-check-dbus-desc.diff (LP: #1798074):
    - Only create CPDManager if D-Bus descriptions present.
    - Fixes LibreOffice startup crash when CPD packages installed.

 -- Marcus Tomlinson <email address hidden> Fri, 31 May 2019 11:43:00 +0100

Changed in libreoffice (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice-l10n - 1:6.0.7-0ubuntu0.18.04.7

---------------
libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.7) bionic; urgency=medium

  * debian/patches/cpdmgr-check-dbus-desc.diff (LP: #1798074):
    - Only create CPDManager if D-Bus descriptions present.
    - Fixes LibreOffice startup crash when CPD packages installed.

libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.6) bionic; urgency=medium

  [ Ikuya Awashiro ]
  * debian/patches/new-japanese-era-name.patch (LP: #1827451):
    Add new Japanse era name "Reiwa" support which taken from upstream:
    https://cgit.freedesktop.org/libreoffice/core/commit/?id=cacbb0faef77ae8462de9ff5c7307a6a2e28b2bb
    https://cgit.freedesktop.org/libreoffice/core/commit/?id=597c5d75b8e72d429e096535334eaac7973455ef

  [ Olivier Tilloy ]
  * debian/patches/java.vendor-Ubuntu.patch: update to also recognize
    "Private Build" as java.vendor (for custom PPA builds) (LP: #1822839)
  * debian/patches/java.vendor-Ubuntu.patch: also make jvmfwk recognize
    "Ubuntu" as java.vendor (LP: #1822839)

  [ Rene Engelhard ]
  * debian/patches/java.vendor-Debian.diff: make jvmfwk recognize "Debian"
    as java.vendor as that's what is set in openjdk 11 >= 11.0.3+4-2
    - see #926009 (closes: #926318) (LP: #1822839)
  * debian/control.gtk3.in:
    - make libreoffice-gtk3 recommend gstreamer1.0-gtk3 (LP: #1820062)

 -- Marcus Tomlinson <email address hidden> Fri, 31 May 2019 11:43:00 +0100

Changed in libreoffice-l10n (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.